Subject: Re: where are the dirname and basename functions?
From: "Gerrit P. Haase" <[email-masked]>
To: Hans Horn <[email-masked]>
Cc: [email-masked]
Date: Thu, 23 Dec 2004 01:17:16 +0100

Hans Horn wrote:
> Christopher Faylor wrote:
> 
>>On Wed, Dec 22, 2004 at 02:15:28PM -0800, Hans Horn wrote:
>>
>>>libfetish.a seems to be related to GNU coreutils (google on it).
>>>Maybe one of the hardcore cygwin gurus could shed a light on this?
>>
>>I think Gerrit qualifies as a "hardcore cygwin guru".
> 
> 
> I did think so!
> 
> I guess there are many levels of "hardcore cygwin guru"'ness.
> 
> now what about libfetish ????????

It was not included with the fileutils package:
$ ls /l /usr/lib/*fetish*
ls: /l: No such file or directory
ls: /usr/lib/*fetish*: No such file or directory

So I din't know about it, I may be an experienced Cygwin user and
package maintainer, but I have no insight into package details of
packages I don't maintain.

If it is now included with coreutils, then you should use it,
should be pretty easy to map dir_name to dirname.

If the two functions were included somewhere in fileutils and aren't
included anymore then there is a reason for the removal, most probably
there are better replacements in there now.

If you really care about these two functions, try to get them
included into newlib, if this fails try to convince the cygwin
developers to include them into libcygwin.

I use my own dirname/basename combo as posted earlier as long as
there is no place else to get them.

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/